# Overview

Overview, explanation and pointers to the API documentation.

 - [Introduction](https://api-docs.omniaretail.dev/api/omnia/overview/introduction.md): # Introduction The Omnia 2.0 API (also known as the Pricemonitor API) gives access to the superpowers behind the Omnia Retail platform. The [Omnia 2.0 app](https://app.omniaretail.com/) and the [Price
 - [Common use cases for Omnia 2.0](https://api-docs.omniaretail.dev/api/omnia/overview/common-use-cases-for-omnia-2.0.md): # Common use cases for Omnia 2.0 These are the common API operations for customers to integrate Omnia with their own systems: - Retrieve market data - Retrieve price recommendations - Manage your prod
 - [Retrieving Data from the API](https://api-docs.omniaretail.dev/api/omnia/overview/retrieving-data-from-the-api.md): # Retrieving Data from the API Omnia supports four patterns for pulling data. Choose the one that best fits your latency and operational needs. | # | Pattern | When to use | | --- | --- | --- | | **1
 - [Retrieve market data via API](https://api-docs.omniaretail.dev/api/omnia/overview/retrieve-market-data-via-api.md): # Retrieve market data via API Use `GET /api/v3/vendor/contracts/{contractId}/offers` to fetch the newest offers in the market as described [here](#operation/getOffersVendorV3).
 - [Retrieve price recommendations via API](https://api-docs.omniaretail.dev/api/omnia/overview/retrieve-price-recommendations-via-api.md): # Retrieve price recommendations via API Use `GET /api/2/v/contracts/{contractId}/result/pricerecommendations` to fetch calculated prices as described [here](#operation/getPriceRecommendation).
 - [Pagination](https://api-docs.omniaretail.dev/api/omnia/overview/pagination.md): # Pagination API endpoints can potentially return a lot of items. Returning all data as one response to one request can overload the server, the database or the client. Returning all items may even be
 - [Authentication](https://api-docs.omniaretail.dev/api/omnia/overview/authentication.md): # Authentication The API supports two authentication methods with distinct use cases: *basic authentication* and *JWT bearer token authentication*. For more details see below. In short: for API integr
 - [Error Handling](https://api-docs.omniaretail.dev/api/omnia/overview/error-handling.md): # Error Handling In rare cases, requests may fail with a `5xx` status code. Omnia recommends implementing retry logic with exponential backoff (e.g. up to 5 retries with wait times of 1s, 2s, 4s, 8s,
